<?


if (isset($_GET['act']) && $_GET['act']=='create' && isset($_GET['ok']) && isset($_POST['name']) && isset($_POST['opis']) && isset($_POST['foto_password']))
{
$name=esc(stripcslashes(htmlspecialchars($_POST['name'])),1);
if (isset($_POST['translit1']) && $_POST['translit1']==1)$name=translit($name);
if (strlen2($name)<3)$err='Короткое название';
if (strlen2($name)>32)$err='Название не должно быть длиннее 32-х символов';
$name=my_esc($name);

$msg=$_POST['opis'];

if (isset($_POST['translit2']) && $_POST['translit2']==1)$msg=translit($msg);
if (strlen2($msg)<10)$err='Короткое описание';
if (strlen2($msg)>256)$err='Длина описания превышает предел в 256 символов';
$msg=my_esc($msg);
////////////////////////////////////////////////////////////////////////////////
$foto_password=$_POST['foto_password'];
if($foto_password===''){$set_password=0; }
////////////////////////////////////////////////////////////////////////////////
if($foto_password!=='')
{
	$set_password=1;
if (strlen2($foto_password)<3){ $err='Слишком короткий пароль!';  }
if (strlen2($foto_password)>32){$err='Длина пароля вревышает 32 символа'; }
  }
////////////////////////////////////////////////////////////////////////////////
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery` WHERE `id_user` = '$ank[id]' AND `name` = '$name'"),0)!=0)
$err='Альбом с таким названием уже существует';


if (!isset($err) && $set_password==0)
{
mysql_query("INSERT INTO `gallery` (`opis`, `time_create`, `id_user`, `name`, `time`, `set_password`) values('$msg', '$time', '{$ank['id']}', '$name', '$time', '$set_password')");
msg('Фотоальбом успешно создан');
}
else
{
if (!isset($err) && $set_password==1)
{
$set_password=1;
mysql_query("INSERT INTO `gallery` (`opis`, `time_create`, `id_user`, `name`, `time`, `set_password`, `foto_password`) values('$msg', '$time', '{$ank['id']}', '$name', '$time', '$set_password', '$foto_password')");
msg("Фотоальбом успешно создан! Вы поставили пароль на альбом, пожалуйста не забудьте его <font color=red>$foto_password</font>!");
}
}


        }
?>